Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Class AuthSessionFactory

    java.lang.Object
      com.rsa.authagent.authapi.AuthSessionFactory

    public class AuthSessionFactory

extends java.lang.Object

Provides entry to the Authentication API; creates user sessions for authentication purposes.

Note: Calling getInstance() more than once will return multiple instances.

Method Summary
`AuthSession` | `createUserSession()` Creates a user session for subsequent authentication requests.
`ServerStatus` | `getAceServerStatus()` Obtains the current status of the realm.
`static AuthSessionFactory` | `getInstance()` Initializes and returns the Authentication API factory with the default settings for creating user sessions.
`static AuthSessionFactory` | `getInstance(java.lang.String configPath)` Initializes and returns the Authentication API factory with specific settings for creating user sessions.
`void` | `shutdown()` Invokes a shutdown process that allows the Authentication API to free up system resources, save data, close files, and perform other necessary cleanup tasks.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static AuthSessionFactory getInstance()
                                          throws AuthAgentException

  Initializes and returns the Authentication API factory with the default settings for creating user sessions.

  Returns:
    Authentication API factory object for creating user sessions
  Throws:
    `AuthAgentException` - if the Authentication API factory cannot be created

### getInstance

    public static AuthSessionFactory getInstance(java.lang.String configPath)
                                          throws AuthAgentException

  Initializes and returns the Authentication API factory with specific settings for creating user sessions.

  Parameters:
    `configPath` - path to the Authentication API properties file
  Returns:
    Authentication API factory object for creating user sessions
  Throws:
    `AuthAgentException` - if the Authentication API factory cannot be created

### createUserSession

    public AuthSession createUserSession()
                                  throws AuthAgentException

  Creates a user session for subsequent authentication requests.

  Returns:
    the user session object
  Throws:
    `AuthAgentException` - if the session cannot be created
  See Also:
    `AuthSession`

### getAceServerStatus

    public ServerStatus getAceServerStatus()
                                    throws AuthAgentException

  Obtains the current status of the realm.

  Returns:
    current status of the realm
  Throws:
    `AuthAgentException`
  See Also:
    `ServerStatus`

### shutdown

    public void shutdown()
                  throws AuthAgentException

  Invokes a shutdown process that allows the Authentication API to free up system resources, save data, close files, and perform other necessary cleanup tasks.

  Important: Using the Authentication API during the shutdown process causes unknown behaviors.

  Throws:
    `AuthAgentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.